/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.internal.emfstore;

import org.eclipse.emf.emfstore.server.LocationProvider;

/**
 * A {@link LocationProvider} which uses the Eclipse workspace location as base
 * location. This provider is intended to be used with the
 * <code>org.unicase.emfstore.locationprovider</code> extension point.
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @levd.rating RED Rev:
 */
public final class EclipseWorkspaceEMFStoreLocationProvider extends
		EclipseWorkspaceLocationProviderBase {
	/** {@inheritDoc} */
	@Override
	protected String getWorkspaceProjectName() {
		return ".emfStoreServerWorkspaceProject";
	}

	/** {@inheritDoc} */
	@Override
	protected String getBackupProjectName() {
		return ".emfStoreServerBackupProject";
	}
}
